Subject: Re: [Patch v2 2/2] add: test use of brackets when color is disabled

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jun 2023 10:13:09 -0700

Phillip Wood <[email-masked]> writes:

> Thanks for adding this, the patch looks good. Strictly speaking you
> don't need the "g" at the end of the sed expression as it only ever
> matches a single instance within each line but that's not worth
> worrying about.

Yeah, as the pattern is anchored at the left edge, "g" would cause
no harm in this case, but the intention is "we have one extra bar at
the left end to protect runs of spaces, and we want to strip that
single bar" and it makes it clear not to write "g" there for that
reason.

Good eyes.  Thanks.